import OktaAuth from '@okta/okta-auth-js';
import * as i0 from "@angular/core";
export declare class OktaTokenService {
    private oktaAuth;
    private employeeNumber;
    private accessToken;
    tokenExpiredInterval: any;
    userName: string | undefined;
    constructor(oktaAuth: OktaAuth);
    setAccessToken(accessToken: string): void;
    getAccessToken(): string;
    setEmployeeNumber(employeeNumber: number): void;
    getEmployeeNumber(): number;
    hasTokenExpired(): void;
    getCurrentDateTime(): string;
    convertUnixTimestampToDateTime(unixTimestamp: number): string;
    getExpiryTime(accessToken: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<OktaTokenService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OktaTokenService>;
}
