import { EventEmitter } from '@angular/core';
import OktaAuth from '@okta/okta-auth-js';
import * as i0 from "@angular/core";
export declare class HeaderComponent {
    private oktaAuth;
    appName: string;
    fedexlogo: string;
    profileImageUrl: string;
    onSignOutBtnClick: EventEmitter<void>;
    isSideBarOpen: boolean;
    showProfileMenu: boolean;
    pageTitle: string;
    closeDropdownDownMenu(): void;
    constructor(oktaAuth: OktaAuth);
    ngOnInit(): void;
    openProfileMenu(event: any): void;
    signOut(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "lib-header", never, { "appName": { "alias": "appName"; "required": false; }; "fedexlogo": { "alias": "fedexlogo"; "required": false; }; "profileImageUrl": { "alias": "profileImageUrl"; "required": false; }; }, { "onSignOutBtnClick": "onSignOutBtnClick"; }, never, never, true, never>;
}
